> For the complete documentation index, see [llms.txt](https://doc.wearepatchworks.com/product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.wearepatchworks.com/product-documentation/api-reference/authentication/oauth.md).

# Oauth

## Authenticate Oauth

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Oauth"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/oauth/authenticate":{"post":{"summary":"Authenticate Oauth","description":"To be confirmed.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"tags":["Oauth"],"parameters":[],"operationId":"oauthAuthenticate"}}}}
```

## Authorise Oauth

> Authorises a connector using OAuth, creating a new authenticated instance.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Oauth"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}},"OauthAuthoriseAuthoriseRequest":{"type":"object","properties":{"authentication_implementation_id":{"type":"string"},"timezone":{"type":"string"},"date_format":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"rate_limit_duration":{"type":"integer"},"connection_pool_id":{"type":"integer"},"variables":{"type":"string"},"session_id":{"type":"string"},"platform_app_key":{"type":"string"},"certificate_id":{"type":"string"}},"required":["authentication_implementation_id","timezone","date_format","rate_limit_unit","rate_limit_duration"]}}},"paths":{"/api/v1/oauth/authorise":{"post":{"summary":"Authorise Oauth","description":"Authorises a connector using OAuth, creating a new authenticated instance.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OauthAuthoriseAuthoriseRequest"}}}},"tags":["Oauth"],"parameters":[],"operationId":"oauthAuthorise"}}}}
```

## Authenticate Woo App Auth

> To be confirmed.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Oauth"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ConnectorsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Connectors"}}},"Connectors":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"authentication_implementation_id":{"type":"integer"},"timezone":{"type":"string"},"date_format":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"rate_limit_duration":{"type":"integer"},"connection_pool_id":{"type":"integer"},"variables":{"type":"array","items":{"$ref":"#/components/schemas/Variables"}},"session_id":{"type":"string"},"platform_app_key":{"type":"string"},"certificate_id":{"type":"string"},"type":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"authentication_implementation":{"$ref":"#/components/schemas/AuthenticationImplementations"},"system":{"$ref":"#/components/schemas/Systems"},"certificate":{"$ref":"#/components/schemas/Certificates"}}},"Variables":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"label":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"},"secret":{"type":"boolean"},"locked":{"type":"boolean"},"configurable":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"modified":{"type":"string"},"pivot":{"type":"object"},"required":{"type":"boolean"},"advanced":{"type":"boolean"},"alias":{"type":"string"}}},"AuthenticationImplementations":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"endpoint_ids":{"type":"string"},"label":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"},"secret":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"endpoint":{"type":"string"},"method":{"type":"string"},"additional_endpoint_1":{"type":"string"},"additional_endpoint_2":{"type":"string"},"authentication_type_id":{"type":"integer"},"authentication_implementation_template_id":{"type":"integer"},"authentication_type":{"$ref":"#/components/schemas/AuthenticationType"},"system_id":{"type":"integer"},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pre_script_version_id":{"type":"string"},"post_script_version_id":{"type":"string"},"timeout":{"type":"integer"},"system":{"$ref":"#/components/schemas/Systems"},"variables":{"type":"array","items":{"$ref":"#/components/schemas/Variables"}},"endpoints":{"type":"array","items":{"$ref":"#/components/schemas/Endpoints"}},"pre_script_version":{"$ref":"#/components/schemas/ScriptVersions"},"post_script_version":{"$ref":"#/components/schemas/ScriptVersions"},"modified":{"type":"string"},"help_link":{"type":"string"},"disable_token_url_parameters":{"type":"boolean"}}},"AuthenticationType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"is_enabled":{"type":"boolean"},"hidden":{"type":"boolean"},"protocol":{"type":"string","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]}}},"Systems":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"name":{"type":"string"},"entity_type_id":{"type":"integer"},"direction":{"type":"string","enum":["Send","Receive"]},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"system_template_id":{"type":"integer"},"version":{"type":"integer"},"version_name":{"type":"string"},"system_type_id":{"type":"integer"},"protocol":{"type":"string","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"date_format":{"type":"string"},"help_link":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"rate_limit_duration":{"type":"integer"},"endpoint":{"type":"string"},"method":{"type":"string"},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"body_format":{"type":"string","enum":["none","form-data","raw","text"]},"additional_endpoint_1":{"type":"string"},"additional_endpoint_2":{"type":"string"},"timeout":{"type":"integer"},"authentication_type_id":{"type":"string"},"returns_multiple_records":{"type":"string"},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"schema":{"type":"string"},"endpoint_template_id":{"type":"integer"},"data_path":{"type":"string"},"raw_body":{"type":"string"},"deprecated_at":{"type":"string"},"disable_header_addition":{"type":"string"},"response_encoding":{"type":"string","enum":["base64","none"]},"key":{"type":"string"},"value":{"type":"string"},"secret":{"type":"string"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"pre_script_version_id":{"type":"string"},"post_script_version_id":{"type":"string"},"canonical_key":{"type":"array","items":{"type":"object"}},"connectors":{"type":"array","items":{"$ref":"#/components/schemas/Connectors"}},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"system_template":{"$ref":"#/components/schemas/SystemTemplates"},"authentication_implementations":{"type":"array","items":{"$ref":"#/components/schemas/AuthenticationImplementations"}},"authentication_implementations_count":{"type":"array","items":{"type":"object"}},"endpoints":{"type":"array","items":{"$ref":"#/components/schemas/Endpoints"}},"variables":{"type":"array","items":{"$ref":"#/components/schemas/Variables"}},"updatable":{"type":"string"},"modified":{"type":"string"},"is_deployed":{"type":"boolean"}}},"MediaFiles":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"model_type":{"type":"string"},"model_id":{"type":"integer"},"file_name":{"type":"string"},"mime_type":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"is_expired":{"type":"boolean"}}},"SystemType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"},"system_templates":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplates"}}}},"SystemTemplates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"string"},"label":{"type":"string"},"colour":{"type":"string","enum":["blue","blue_inverted","cyan","cyan_inverted","gray","gray_inverted","green","green_inverted","orange","orange_inverted","pink","pink_inverted","purple","purple_inverted","red","red_inverted","yellow","yellow_inverted"]},"logo_url":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"protocol":{"type":"object","enum":["HTTP","FTP","SFTP","FTPS","S3","MySQL","PGSQL","SQLSRV","PUBLIC","OCI"]},"rate_limit_duration":{"type":"integer"},"system_type_id":{"type":"integer"},"system_type":{"$ref":"#/components/schemas/SystemType","enum":["Accounting","CRM","eCommerce","ERP","Marketplaces","Other","PIM","POS","3PL","WMS","Database"]},"date_format":{"type":"string"},"canonical_key":{"type":"object"},"company_id":{"type":"object"},"public_company_id":{"type":"object"},"company":{"type":"object"},"public_company":{"type":"object"},"logo":{"$ref":"#/components/schemas/MediaFiles"},"instances":{"type":"array","items":{"type":"object"}},"authentication_implementation_templates":{"type":"array","items":{"type":"object"}},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"help_link":{"type":"string"}}},"Endpoints":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"field_path":{"type":"string"},"tags":{"type":"string"},"label":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"},"secret":{"type":"string"},"variables":{"type":"array","items":{"$ref":"#/components/schemas/Variables"}},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"object"},"system_id":{"type":"integer"},"system":{"$ref":"#/components/schemas/Systems"},"entity_type_id":{"type":"integer"},"entity_type":{"$ref":"#/components/schemas/EntityType"},"endpoint":{"type":"string"},"http_method":{"type":"string","enum":["CONNECT","DELETE","GET","HEAD","OPTIONS","PATCH","POST","PUT","TRACE"]},"data_type":{"type":"string","enum":["csv","json","txt","xml"]},"pagination_method":{"type":"string","enum":["Custom relative URI","Link Header","Next page token","Next Page URL","Page number parameter","Limit offset","default","PeopleVox","NetSuite SOAP","GraphQL Cursor","Database limit offset","Script"]},"deprecated_at":{"type":"string","format":"date-time"},"direction":{"type":"string","enum":["Send","Receive"]},"returns_multiple_records":{"type":"boolean"},"pre_script_version_id":{"type":"string"},"post_script_version_id":{"type":"string"},"endpoint_schema":{"$ref":"#/components/schemas/EndpointSchema"},"field_tags":{"type":"array","items":{"type":"object"}},"data_path":{"type":"array","items":{"type":"object"}},"body_format":{"type":"array","items":{"type":"object"},"enum":["none","form-data","raw","text"]},"raw_body":{"type":"array","items":{"type":"object"}},"filters":{"type":"array","items":{"$ref":"#/components/schemas/Filters"}},"modified":{"type":"array","items":{"type":"object"}},"help_link":{"type":"array","items":{"type":"object"}},"authentication_implementations":{"type":"array","items":{"$ref":"#/components/schemas/AuthenticationImplementations"}},"pre_script_version":{"$ref":"#/components/schemas/ScriptVersions"},"post_script_version":{"$ref":"#/components/schemas/ScriptVersions"},"disable_header_addition":{"type":"boolean"},"response_encoding":{"type":"string","enum":["base64","none"]}}},"EntityType":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"string"}}},"EndpointSchema":{"type":"object","properties":{"id":{"type":"integer"},"endpoint_id":{"type":"integer"},"endpoint":{"$ref":"#/components/schemas/Endpoints"},"schema":{"type":"string"}}},"Filters":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"type":{"type":"string","enum":["string","string_length","number","absolute date","relative date","XPath","boolean","null","variable","array","array_length"]},"comparison":{"type":"string","enum":[">","<","==","<=",">=","!=","*","!*","NOT NULL","IS NULL","*[]","!*[]","regex"]},"value":{"type":"string"},"value_type":{"type":"string","enum":["string","integer","float","boolean","date"]},"keep_matching":{"type":"boolean"},"operator_logic":{"type":"string","enum":["and","or"]},"match_order":{"type":"boolean"},"is_default":{"type":"boolean"},"location":{"type":"string","enum":["header","body","url"]},"model_type":{"type":"string"},"model_id":{"type":"integer"},"date_format":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"field":{"type":"string"},"is_active":{"type":"boolean"}}},"ScriptVersions":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"script_id":{"type":"string"},"name":{"type":"string"},"version":{"type":"integer"},"status":{"type":"string","enum":["Draft","Inactive","Deployed"]},"deployment_failure_reason":{"type":"string"},"last_invoked_on":{"type":"string"},"deployed_at":{"type":"string","format":"date-time"},"deployment_failed_at":{"type":"string","format":"date-time"},"deploying":{"type":"boolean"},"content":{"type":"object"},"script":{"$ref":"#/components/schemas/Scripts"},"deployment_failure_detail":{"type":"string"},"is_draft":{"type":"boolean"}}},"Scripts":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"script_template_id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string","items":{"type":"object"}},"language":{"type":"string","items":{"type":"object"},"enum":["c_sharp_8_0","go_1_18","go_1_23","go_1_26","rust_1_82","rust_1_94","node_18","node_20","node_22","node_24","php_8_1","php_8_2","php_8_3","php_8_4","php_8_5","python_3","mcp","ruby_3"]},"created_at":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"script_id":{"type":"integer"},"version":{"type":"string"},"deployed_at":{"type":"string"},"deployment_failed_at":{"type":"string"},"deploying":{"type":"string"},"deployment_failure_reason":{"type":"string"},"content":{"type":"string"},"ai_created":{"type":"boolean"},"value":{"type":"string"},"versions":{"type":"array","items":{"$ref":"#/components/schemas/ScriptVersions"}},"latest_version":{"$ref":"#/components/schemas/ScriptVersions"},"type":{"type":"string","enum":["custom","pre_auth","post_auth","pre_request","post_request","pagination"]},"updated_by":{"type":"string"},"updated_by_user":{"type":"string"},"versions_count":{"type":"integer"},"versions_remaining":{"type":"string"},"max_versions":{"type":"string"},"unlimited_versions":{"type":"boolean"}}},"Certificates":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"connector_id":{"type":"integer"},"certificate":{"type":"string"},"passphrase":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"name":{"type":"object"},"user_id":{"type":"object"},"connector":{"$ref":"#/components/schemas/Connectors"},"user":{"type":"object"},"message_broker_id":{"type":"integer"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/oauth/woo-app-auth":{"post":{"summary":"Authenticate Woo App Auth","description":"To be confirmed.","tags":["Oauth"],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectorsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"parameters":[],"operationId":"oauthWooAppAuthAuthenticate"}}}}
```

## Reauthorise Oauth

> Reauthorises an existing OAuth connector instance.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Oauth"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}},"OauthReauthoriseReauthoriseRequest":{"type":"object","properties":{"authentication_implementation_id":{"type":"string"},"type":{"type":"string"},"timezone":{"type":"string"},"date_format":{"type":"string"},"rate_limit_unit":{"type":"string","enum":["second","minute","hour","day"]},"rate_limit_duration":{"type":"integer"},"connection_pool_id":{"type":"integer"},"variables":{"type":"string"}}}}},"paths":{"/api/v1/oauth/{connector}/reauthorise":{"patch":{"summary":"Reauthorise Oauth","description":"Reauthorises an existing OAuth connector instance.","parameters":[{"name":"connector","in":"path","required":true,"schema":{"type":"string"},"description":"The connector identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"404":{"description":"Not Found. The record does not exist.","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"429":{"description":"Too Many Requests. The rate limit for this user has been reached.","headers":{"Retry-After":{"description":"Seconds to wait before retrying.","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"Requests allowed per minute.","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Requests left in the current minute.","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OauthReauthoriseReauthoriseRequest"}}}},"tags":["Oauth"],"operationId":"oauthReauthorise"}}}}
```
